JSONWriter (Solr 3.6.2 API)
Keywords: org.apache.noggit.JSONWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.noggit
Class JSONWriter

    java.lang.Object
      org.apache.noggit.TextWriter
          org.apache.noggit.JSONWriter

    public class JSONWriter

extends TextWriter

Version:
  $Id$
Author:
  yonik

Method Summary
`void` | `endArray()`
`void` | `endObject()`
`void` | `startArray()`
`void` | `startObject()`
`void` | `write(boolean bool)`
`void` | `write(double number)`
`void` | `write(long number)`
`void` | `writeNameSeparator()`
`void` | `writeNull()`
`void` | `writeNumber(CharArr digits)`
`void` | `writePartialNumber(CharArr digits)`
`void` | `writeString(CharArr str)`
`void` | `writeString(CharSequence str)`
`void` | `writeStringChars(CharArr partialStr)`
`void` | `writeStringEnd()`
`void` | `writeStringStart()`
`void` | `writeValueSeparator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeNull

    public void writeNull()

  Specified by:
    `writeNull` in class `TextWriter`

### writeString

    public void writeString(CharSequence str)

  Specified by:
    `writeString` in class `TextWriter`

### writeString

    public void writeString(CharArr str)

  Specified by:
    `writeString` in class `TextWriter`

### writeStringStart

    public void writeStringStart()

  Specified by:
    `writeStringStart` in class `TextWriter`

### writeStringChars

    public void writeStringChars(CharArr partialStr)

  Specified by:
    `writeStringChars` in class `TextWriter`

### writeStringEnd

    public void writeStringEnd()

  Specified by:
    `writeStringEnd` in class `TextWriter`

### write

    public void write(long number)

  Specified by:
    `write` in class `TextWriter`

### write

    public void write(double number)

  Specified by:
    `write` in class `TextWriter`

### write

    public void write(boolean bool)

  Specified by:
    `write` in class `TextWriter`

### writeNumber

    public void writeNumber(CharArr digits)

  Specified by:
    `writeNumber` in class `TextWriter`

### writePartialNumber

    public void writePartialNumber(CharArr digits)

  Specified by:
    `writePartialNumber` in class `TextWriter`

### startObject

    public void startObject()

  Specified by:
    `startObject` in class `TextWriter`

### endObject

    public void endObject()

  Specified by:
    `endObject` in class `TextWriter`

### startArray

    public void startArray()

  Specified by:
    `startArray` in class `TextWriter`

### endArray

    public void endArray()

  Specified by:
    `endArray` in class `TextWriter`

### writeValueSeparator

    public void writeValueSeparator()

  Specified by:
    `writeValueSeparator` in class `TextWriter`

### writeNameSeparator

    public void writeNameSeparator()

  Specified by:
    `writeNameSeparator` in class `TextWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD